Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 670182 - dev-libs/glib-2.56.2: appinfo - Bail out! GLib-GIO:ERROR:/var/tmp/portage/dev-libs/glib-2.56.2/work/glib-2.56.2/gio/tests/appinfo.c:403:test_associations: assertion failed: (appinfo2)
Summary: dev-libs/glib-2.56.2: appinfo - Bail out! GLib-GIO:ERROR:/var/tmp/portage/dev...
Status: CONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal with 1 vote (vote)
Assignee: Gentoo Linux Gnome Desktop Team
URL:
Whiteboard:
Keywords: TESTFAILURE
Depends on:
Blocks:
 
Reported: 2018-11-03 07:50 UTC by Rolf Eike Beer
Modified: 2018-12-19 21:45 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (dev-libs_glib-2.56.2_use_sYW1p.xz,60.77 KB, application/x-xz)
2018-11-03 07:50 UTC, Rolf Eike Beer
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Rolf Eike Beer 2018-11-03 07:50:42 UTC
Created attachment 553922 [details]
build.log

Portage 2.3.49 (python 2.7.15-final-0, default/linux/sparc/17.0, gcc-7.3.0, glibc-2.27-r6, 4.16.8 sparc64)
=================================================================
System uname: Linux-4.16.8-sparc64-sun4v-with-gentoo-2.4.1
KiB Mem:    33133328 total,  17118240 free
KiB Swap:          0 total,         0 free
Timestamp of repository gentoo: Sat, 03 Nov 2018 01:15:01 +0000
sh bash 4.4_p12
ld GNU ld (Gentoo 2.30 p5) 2.30.0
app-shells/bash:          4.4_p12::gentoo
dev-lang/perl:            5.24.3-r1::gentoo
dev-lang/python:          2.7.15::gentoo, 3.6.5::gentoo
dev-util/cmake:           3.9.6::gentoo
dev-util/pkgconfig:       0.29.2::gentoo
sys-apps/baselayout:      2.4.1-r2::gentoo
sys-apps/openrc:          0.34.11::gentoo
sys-apps/sandbox:         2.13::gentoo
sys-devel/autoconf:       2.69-r4::gentoo
sys-devel/automake:       1.11.6-r3::gentoo, 1.15.1-r2::gentoo
sys-devel/binutils:       2.30-r4::gentoo
sys-devel/gcc:            7.3.0-r3::gentoo
sys-devel/gcc-config:     1.8-r1::gentoo
sys-devel/libtool:        2.4.6-r3::gentoo
sys-devel/make:           4.2.1-r4::gentoo
sys-kernel/linux-headers: 4.13::gentoo (virtual/os-headers)
sys-libs/glibc:           2.27-r6::gentoo
Repositories:

gentoo
    location: /usr/portage
    sync-type: git
    sync-uri: https://anongit.gentoo.org/git/repo/sync/gentoo.git
    priority: -1000
    sync-git-verify-commit-signature: yes

ACCEPT_KEYWORDS="sparc"
ACCEPT_LICENSE="* -@EULA"
CBUILD="sparc-unknown-linux-gnu"
CFLAGS="-O2 -mcpu=niagara2 -pipe -Wcast-align"
CHOST="sparc-unknown-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/gnupg/qualified.txt /var/qmail/alias /var/qmail/control"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-O2 -mcpu=niagara2 -pipe -Wcast-align"
DISTDIR="/usr/portage/distfiles"
ENV_UNSET="DBUS_SESSION_BUS_ADDRESS DISPLAY PERL5LIB PERL5OPT PERLPREFIX PERL_CORE PERL_MB_OPT PERL_MM_OPT XAUTHORITY XDG_CACHE_HOME XDG_CONFIG_HOME XDG_DATA_HOME XDG_RUNTIME_DIR"
FCFLAGS=""
FEATURES="assume-digests binpkg-logs config-protect-if-modified distlocks ebuild-locks fixlafiles merge-sync news parallel-fetch preserve-libs protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS=""
GENTOO_MIRRORS="ftp://ftp.wh2.tu-dresden.de/pub/mirrors/gentoo ftp://ftp.join.uni-muenster.de/pub/linux/distributions/gentoo"
LANG="en_US.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j20"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --exclude=/.git"
PORTAGE_TMPDIR="/var/tmp"
USE="acl berkdb big-endian bzip2 cli crypt cxx dri fortran gdbm iconv ipv6 libtirpc ncurses nls nptl openmp pam pcre readline sparc ssl tcpd unicode xattr zlib" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="karbon plan sheets stage words" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock isync itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf skytraq superstar2 timing tsip tripmate tnt ublox ubx" INPUT_DEVICES="libinput keyboard mouse" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-6 php7-1" POSTGRES_TARGETS="postgres9_5 postgres10" PYTHON_SINGLE_TARGET="python3_6" PYTHON_TARGETS="python2_7 python3_6" RUBY_TARGETS="ruby23" USERLAND="GNU" VIDEO_CARDS="fbdev glint mga r128 radeon dummy v4l" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CC, CPPFLAGS, CTARGET, CXX, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LC_ALL, LINGUAS, PORTAGE_BINHOST, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 1 Mart Raudsepp gentoo-dev 2018-11-14 10:38:53 UTC
Do you have x11-terms/gnome-terminal installed? If so, at what version?
Comment 2 Rolf Eike Beer 2018-11-14 17:18:51 UTC
No, this is not installed.
Comment 3 Mart Raudsepp gentoo-dev 2018-11-28 15:47:24 UTC
Getting rather stumped on this. Just to make sure - does this happen sometimes with -j1 MAKEOPTS too?
Comment 4 Mart Raudsepp gentoo-dev 2018-11-29 16:40:03 UTC
And what terminals do you have installed? Looks like no gnome-terminal nor xterm, but maybe you have something installed that glib code actually can use, and we have trouble with that in that different test case (than the one we are disabling if g-t nor xterm is there).

I think I saw this test failure myself at some point, but can't reliably reproduce anymore (can't even remember which machine it happened with). However I am getting various other issues sometimes from that test case source.
Comment 5 Rolf Eike Beer 2018-11-29 17:24:33 UTC
This is a chroot running inside a screen on a machine without any graphics card. If there is not accidentially an xterm or whatever merged by a previous build test then there is likely none.
Comment 6 Rolf Eike Beer 2018-11-29 17:25:48 UTC
Btw: I can't reproduce it at the moment anymore.
Comment 7 Mart Raudsepp gentoo-dev 2018-11-29 18:10:59 UTC
(In reply to Rolf Eike Beer from comment #5)
> This is a chroot running inside a screen on a machine without any graphics
> card. If there is not accidentially an xterm or whatever merged by a
> previous build test then there is likely none.

Can you check with ls /var/db/pkg/x11-terms and /var/log/emerge.log in that chroot or so, just to figure out if non-xterm non-gnome-terminal terminals could have affected this at all, even if it doesn't reproduce now?
Comment 8 Mart Raudsepp gentoo-dev 2018-11-29 18:25:47 UTC
Actually I don't think we have any of the other ones really packaged anymore that it might try, besides gnome-terminal and xterm; so probably not related indeed..

Do you think we can just ignore this case for now then and remove the blocker on stabilization?
Comment 9 Rolf Eike Beer 2018-11-29 20:05:52 UTC
Sure, given the fact that it now works for me and I have marked this already stable on sparc.

From grepping my log it looks like I had eterm merged when this failed.
Comment 10 Mart Raudsepp gentoo-dev 2018-12-17 12:05:14 UTC
As I'm rather stumped on this, I made it always skip the tests that fail for me too with 2.58.1 bump. Not sure if it catches your case too or not.
Will revisit later, or hopefully the problem just goes away once we build with meson in the future.
Comment 11 Mart Raudsepp gentoo-dev 2018-12-19 21:45:01 UTC
https://gitlab.gnome.org/GNOME/glib/issues/1601 might help with this